import functools
import hashlib


def md5sum_file(filename):
    with open(filename, mode="rb") as f:
        d = hashlib.md5()
        for buf in iter(functools.partial(f.read, 128), b""):
            d.update(buf)
        h = d.hexdigest()
        return h
