import selenium
import selenium.webdriver

URL_CARDS_LIST = "https://utcc.unrealpugs.com/content"


class ScrapeUtcc:
    def __init__(self, ctx, datalayer):
        self.ctx = ctx
        self.datalayer = datalayer
        self._browser = None

    @property
    def browser(self):
        if not self._browser:
            self._browser = selenium.webdriver.Firefox()
        return self._browser

    def check_ut4cc_for_latest(self):
        self._scrape_list_of_content_cards()

    def _scrape_list_of_content_cards(self):
        self.browser.get(URL_CARDS_LIST)
