#!/usr/bin/env python

from setuptools import find_packages, setup

__project__ = "SmileyFace UT4 Hub Automator"
__version__ = "0.1.0"

app_skellington_requirements = (
    "appdirs",
    "colorlog",
    "configobj",
)

setup(
    name=__project__,
    version=__version__,
    description="Unreal Tournament 4 Server Admin and Control Panel",
    author="Mathew Guest",
    author_email="t3h.zavage@gmail.com",
    url="https://git-mirror.zavage-software.com",
    # Third-party dependencies; will be automatically installed
    install_requires=("rdiff-backup", "app_skellington", "appdirs", "sqlparse") + app_skellington_requirements,
    packages=find_packages(),
    package_dir={"app_skellington": "lib/app_skellington"},
)
