[app]
project_dir = string(max=255, default='')
config_dir = string(max=255, default='')
download_url = string(max=255, default='https://s3.amazonaws.com/unrealtournament/ShippedBuilds/%2B%2BUT%2BRelease-Next-CL-3525360/UnrealTournament-Server-XAN-3525360-Linux.zip')
download_filename = string(max=255, default='UnrealTournament-Server-XAN-3525360-Linux.zip')
download_md5 = string(max=255, default='cad730ad6793ba6261f9a341ad7396eb')
skip_validate = boolean(default=False)
redirect_protocol = string(max=255, default='')
redirect_url = string(max=255, default='')
remote_game_host = string(max=255, default='')
remote_game_dir = string(max=255, default='')
remote_redirect_host = string(max=255, default='')

sqlite_filename = string(max=255, default='smiles.db')

[logging]
log_file = string(max=255, default='')
log_level = option('critical', 'error', 'warning', 'info', 'debug', default='info')
log_fmt = string(max=255, default='')
disable_existing_loggers = boolean(default=False)

        [[formatters]]
                [[[colored]]]
                () = string(default='colorlog.ColoredFormatter')
                format = string(max=255, default='%(log_color)s%(levelname)-8s%(reset)s:%(log_color)s%(name)-5s%(reset)s:%(white)s%(message)s')

                [[[basic]]]
                () = string(max=255, default='logging.Formatter')
                format = string(max=255, default='%(levelname)s:%(name)s:%(asctime)s:%(message)s')

                [[[forstorage]]]
                () = string(max=255, default='logging.Formatter')
                format = string(max=255, default='%(levelname)s:%(name)s:%(asctime)s:%(message)s')

        [[handlers]]
                [[[stderr]]]
                class = string(max=255, default='logging.StreamHandler')
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                formatter = string(max=255, default='colored')

                [[[file]]]
                class = string(max=255, default='logging.handlers.RotatingFileHandler')
                level = option('critical', 'error', 'warning', 'info', 'debug', default='warning')
                formatter = string(max=255, default='forstorage')
                filename = string(max=255, default='cas_admin.log')
                maxBytes = integer(min=0, max=33554432, default=33554432)
                backupCount = integer(min=0, max=3, default=1)

        [[loggers]]
                [[[root]]]
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                handlers = string_list(max=8, default=list('file',))

                [[[ut4]]]
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                handlers = string_list(max=8, default=list('stderr',))
                propagate = boolean(default=True)

                [[[db]]]
                level = option('critical', 'error', 'warning', 'info', 'debug', default='debug')
                handlers = string_list(max=8, default=list('stderr',))
                propagate = boolean(default=True)
